Subject: Re: [PATCH v3 net 0/8] xsk: tailroom reservation and MTU validation

From: Maciej Fijalkowski <[email-masked]>
Date: Fri, 27 Mar 2026 15:20:38 +0100

On Thu, Mar 26, 2026 at 08:27:21PM -0700, Jakub Kicinski wrote:
> On Mon, 23 Mar 2026 20:24:49 +0100 Maciej Fijalkowski wrote:
> > here we fix a long-standing issue regarding multi-buffer scenario in ZC
> > mode - we have not been providing space at the end of the buffer where
> > multi-buffer XDP works on skb_shared_info. This has been brought to our
> > attention via [0].
> > 
> > Unaligned mode does not get any specific treatment, it is user's
> > responsibility to properly handle XSK addresses in queues.
> > 
> > With adjustments included here in this set against xskxceiver I have
> > been able to pass the full test suite on ice.
> 
> Please scream at me if I'm wrong but I _think_ this is somehow 
> breaking BPF CI ?? It's the only BPF change we have AFAICT and
> CI has been failing like this all day:
> 
> Root directory input is valid!
> Error: The path for one of the files in artifact is not valid: /packets-132-3-net_timestamping__INET4:_bpf_timestamping-net_timestamping_ns.log. Contains the following character:  Colon :
>           
> Invalid characters include:  Double quote ", Colon :, Less than <, Greater than >, Vertical bar |, Asterisk *, Question mark ?, Carriage return \r, Line feed \n
> 
> https://github.com/kernel-patches/bpf/actions/runs/23624136123/job/68809559810

That is probably due to this hang:
WATCHDOG: test case ns_xsk_drv/STAT_RX_DROPPED executes for 10 seconds...

Sorry for that! Please toss away v3 and v4 and let me resolve this.
I was too focused on the outcome of HW tests which I have been running via
xskxceiver. I need to see how to satisfy both sides.

Maciej